# Uses of Class
javax.smartcardio.CardTerminal

Packages that use CardTerminal
Package
Description
javax.smartcardio
Java™ Smart Card I/O API.

## Uses of CardTerminal in javax.smartcardio

Methods in javax.smartcardio that return CardTerminal
Modifier and Type
Method
Description
`CardTerminal`
CardTerminals.`getTerminal​(String name)`
Returns the terminal with the specified name or null if no such terminal exists.
Methods in javax.smartcardio that return types with arguments of type CardTerminal
Modifier and Type
Method
Description
`List<CardTerminal>`
CardTerminals.`list()`
Returns an unmodifiable list of all available terminals.
`abstract List<CardTerminal>`
CardTerminals.`list​(CardTerminals.State state)`
Returns an unmodifiable list of all terminals matching the specified state.